# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(List/Util.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Flickr-Upload
Version:        1.32
Release:        alt2_11
Summary:        Flickr.com upload module and script
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Flickr-Upload/
Source0:        http://www.cpan.org/authors/id/C/CP/CPB/Flickr-Upload-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Test/Simple.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Flickr/API.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(XML/Parser/Lite/Tree.pm)
Requires:       perl(Flickr/API.pm) >= 0.07
Requires:       perl(HTTP/Request/Common.pm) >= 1
Requires:       perl(LWP/UserAgent.pm) >= 1
Requires:       perl(XML/Parser/Lite/Tree.pm) >= 0.03
Requires:       perl(Term/ProgressBar.pm) >= 2.09
Patch0: 	perl-Flickr-Upload-remotetests.patch
Source44: import.info

%description
Module and script for uploading images to flickr.com web gallery.

%prep
%setup -q -n Flickr-Upload-%{version}
%patch0 -p0 -b .remotetests

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*
%{_bindir}/flickr_upload
%{_mandir}/man1/flickr_upload.1*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.32-alt2_11
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.32-alt2_10
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.32-alt2_8
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.32-alt1_8
- fc import

